org.apache.tomcat

## Class InstanceManagerBindings

- java.lang.Object
- - org.apache.tomcat.InstanceManagerBindings

-     public final class InstanceManagerBindings
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstanceManagerBindings()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bind(ClassLoader classLoader, InstanceManager instanceManager)`
    `static InstanceManager` | `get(ClassLoader classLoader)`
    `static void` | `unbind(ClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstanceManagerBindings

          public InstanceManagerBindings()

  - ### Method Detail

    - #### bind

          public static final void bind(ClassLoader classLoader,
                  InstanceManager instanceManager)

    - #### unbind

          public static final void unbind(ClassLoader classLoader)

    - #### get

          public static final InstanceManager get(ClassLoader classLoader)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.